# Generated from devise-jwt-0.8.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name devise-jwt

Name: rubygem-%{gem_name}
Version: 0.8.1
Release: 1%{?dist}
Summary: JWT authentication for devise
License: MIT
URL: https://github.com/waiting-for-dev/devise-jwt
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(pry-byebug) >= 3.7
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(rails) >= 6.0
# BuildRequires: rubygem(rails) < 7
# BuildRequires: rubygem(sqlite3) >= 1.3
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(rspec-rails) >= 4.0
# BuildRequires: rubygem(rspec-rails) < 5
# BuildRequires: rubygem(rubocop) >= 0.87
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.42
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(simplecov) = 0.17
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 2
BuildArch: noarch

%description
JWT authentication for devise with configurable token revocation strategies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/issue_template.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/devise-jwt.gemspec
%doc %{gem_instdir}/docker-compose.yml

%changelog
* Mon Aug 23 2021 mockbuilder - 0.8.1-1
- Initial package
